跳到主要內容

已不再支援此瀏覽器。

請升級至 Microsoft Edge,以利用最新功能、安全性更新和技術支援。

下載 Microsoft Edge Internet Explorer 和 Microsoft Edge 的詳細資訊
microsoft-foundry.rest.security.o-auth2-auth

Toolboxes

Create a new version of a toolbox

POST /toolboxes/{name}/versions

Creates a new toolbox version, provisioning the toolbox itself if it does not already exist.

路徑參數

name string 必要

The name of the toolbox. If the toolbox does not exist, it will be created.

查詢參數

api-version string 必要

The API version to use for this operation.

要求本文

Content-Type: application/json
description string

A human-readable description of the toolbox.

metadata object

Arbitrary key-value metadata to associate with the toolbox.

[key: string] string
tools ToolboxTool[] 必要

The list of tools to include in this version.

skills ToolboxSkill[]

The list of skill sources to include in this version. A skill reference specifies a skill name and optionally a version. If version is omitted, the skill's default version is used.

policies ToolboxPolicies

Policy configuration for a toolbox, including content safety and other governance settings.

rai_config RaiConfig

Configuration for Responsible AI (RAI) content filtering and safety features.

rai_policy_name string 必要

The name of the RAI policy to apply.

invocations_moderation RaiInvocationModeration

Declares where request/response text lives so content-safety guardrails can extract it.

input_content_type string | enum

How an invocations request/response body is parsed to locate text for content-safety moderation.

以下任何一項:
string
enum
jsontext
output_content_type string | enum

How an invocations request/response body is parsed to locate text for content-safety moderation.

以下任何一項:
string
enum
jsontext
response_mode string | enum 必要

Author-declared response shape for the invocations protocol.

以下任何一項:
string
enum
non_streamingstreamingboth
input_paths string[]

Path(s) to user text in the REQUEST body. Required when input_content_type is json.

output_paths string[]

Path(s) to agent text in a NON-STREAMING response body. Required when response_mode is non_streaming/both and output_content_type is json.

stream_selectors RaiSseTextSelector[]

One SSE event->field selector per event type carrying text. Required when response_mode is streaming/both and output_content_type is json.

回覆

The request has succeeded.

主體

Content-Type: application/json
metadata object | null 必要

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

[key: string] string
id string 必要

The unique identifier of the toolbox version.

name string 必要

The name of the toolbox.

version string 必要

The version identifier of the toolbox. Toolbox versions are immutable and every update creates a new version.

description string

A human-readable description of the toolbox.

created_at integer 必要

The Unix timestamp (seconds) when the toolbox version was created.

tools ToolboxTool[] 必要

The list of tools contained in this toolbox version.

skills ToolboxSkill[]

The list of skill sources included in this toolbox version.

policies ToolboxPolicies

Policy configuration for a toolbox, including content safety and other governance settings.

rai_config RaiConfig

Configuration for Responsible AI (RAI) content filtering and safety features.

rai_policy_name string 必要

The name of the RAI policy to apply.

invocations_moderation RaiInvocationModeration

Declares where request/response text lives so content-safety guardrails can extract it.

input_content_type string | enum

How an invocations request/response body is parsed to locate text for content-safety moderation.

以下任何一項:
string
enum
jsontext
output_content_type string | enum

How an invocations request/response body is parsed to locate text for content-safety moderation.

以下任何一項:
string
enum
jsontext
response_mode string | enum 必要

Author-declared response shape for the invocations protocol.

以下任何一項:
string
enum
non_streamingstreamingboth
input_paths string[]

Path(s) to user text in the REQUEST body. Required when input_content_type is json.

output_paths string[]

Path(s) to agent text in a NON-STREAMING response body. Required when response_mode is non_streaming/both and output_content_type is json.

stream_selectors RaiSseTextSelector[]

One SSE event->field selector per event type carrying text. Required when response_mode is streaming/both and output_content_type is json.

Client error

主體

Content-Type: application/json
error OpenAI.Error 必要
code string | null 必要
message string 必要
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何一項:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必要

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

主體

Content-Type: application/json
error OpenAI.Error 必要
code string | null 必要
message string 必要
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何一項:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必要

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Request

POST /toolboxes/{name}/versions HTTP/1.1

回應

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
zh-tw
您的隱私權選擇
  • AI 免責聲明
  • 舊版本
  • 部落格
  • 參與
  • 隱私權
  • 消費者健康隱私
  • 使用規定
  • 商標
  • © Microsoft 2026